Belune
Domains & TLS

Update Domain

PUT
/api/projects/{projectId}/applications/{applicationId}/domains/{domainId}
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid
domainId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "advanced_config": "string",  "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",  "caddy_config_id": "string",  "certificate_id": "620df92a-0599-41ff-b912-58ec0e5bd21f",  "container_port": 0,  "created_at": "2019-08-24T14:15:22Z",  "force_https": true,  "hostname": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "internal_path": "string",  "path": "string",  "ssl_credentials_encrypted": "string",  "ssl_enabled": true,  "ssl_mode": "string",  "ssl_provider": "string",  "strip_path": true,  "tls_advisory": "string",  "tls_error": "string",  "tls_issuer": "string",  "tls_last_checked_at": "2019-08-24T14:15:22Z",  "tls_not_after": "2019-08-24T14:15:22Z",  "tls_status": "string",  "verified_at": "2019-08-24T14:15:22Z"}